org.apache.ignite.internal.managers.encryption

## Class EncryptionMXBeanImpl

- java.lang.Object
- - org.apache.ignite.internal.managers.encryption.EncryptionMXBeanImpl

All Implemented Interfaces:
  EncryptionMXBean

    public class EncryptionMXBeanImpl
    extends Object
    implements EncryptionMXBean

Encryption features MBean.

### Constructor Summary

Constructors
Constructor and Description
`EncryptionMXBeanImpl(GridKernalContextImpl ctx)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `changeMasterKey(String masterKeyName)` Starts master key change process.
`String` `getMasterKeyName()` Gets the current master key name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EncryptionMXBeanImpl

    public EncryptionMXBeanImpl(GridKernalContextImpl ctx)

Parameters:
  `ctx` - Context.

### Method Detail

#### getMasterKeyName

    public String getMasterKeyName()

Gets the current master key name.

Specified by:
  `getMasterKeyName` in interface `EncryptionMXBean`
Returns:
  Master key name.
See Also:
  `IgniteEncryption.getMasterKeyName()`

#### changeMasterKey

    public void changeMasterKey(String masterKeyName)

Starts master key change process.

Specified by:
  `changeMasterKey` in interface `EncryptionMXBean`
Parameters:
  `masterKeyName` - Master key name.
See Also:
  `IgniteEncryption.changeMasterKey(String)`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020